elftosb::ConstantDataTarget Class Reference

Target with a constant values for the addresses. More...

`#include <DataTarget.h>`

Inheritance diagram for elftosb::ConstantDataTarget:
[legend]
Collaboration diagram for elftosb::ConstantDataTarget:
[legend]

## Public Member Functions

| ConstantDataTarget (uint32_t start)
| Constructor taking only a begin address.
| ConstantDataTarget (uint32_t start, uint32_t end)
| Constructor taking both begin and end addresses.
virtual bool | isBounded ()
| The target is bounded if an end address was specified.
virtual uint32_t | getBeginAddress ()
virtual uint32_t | getEndAddress ()
virtual DataTarget::AddressRange | getRangeForSegment (DataSource &source, DataSource::Segment &segment)
| Return the address range for a segment of a data source. More...
Public Member Functions inherited from elftosb::DataTarget
| DataTarget ()
| Default constructor.
virtual | ~DataTarget ()
| Destructor.
void | setSource (DataSource *source)
DataSource * | getSource () const

## Protected Attributes

uint32_t | m_begin
| Start address.
uint32_t | m_end
| End address.
bool | m_hasEnd
| Was an end address specified?
Protected Attributes inherited from elftosb::DataTarget
DataSource * | m_source
| Corresponding data source for this target.

## Detailed Description

Target with a constant values for the addresses.

This target type supports can be both bounded and unbounded. It always has at least one address, the beginning address. The end address is optional, and if not provided makes the target unbounded.

## Member Function Documentation

DataTarget::AddressRange ConstantDataTarget::getRangeForSegment | ( | DataSource & | source,
|  | DataSource::Segment & | segment
| ) |  |

virtual

Return the address range for a segment of a data source.

Exceptions

  elftosb::semantic_error | Thrown if the source has multiple segments.

Implements elftosb::DataTarget.

The documentation for this class was generated from the following files:

- apps/elftosb/common/DataTarget.h
- apps/elftosb/common/DataTarget.cpp